__gnu_cxx::select2nd< _Pair > Struct Template Reference
Extensions » SGI

`#include <functional>`

## Public Types

typedef _Pair | argument_type
typedef _Pair::second_type | result_type

## Public Member Functions

_Pair::second_type & | operator() (_Pair &__x) const
const _Pair::second_type & | operator() (const _Pair &__x) const

## Detailed Description

template<class _Pair>
struct __gnu_cxx::select2nd< _Pair >

An SGI extension .

Definition at line 202 of file ext/functional.

## Member Typedef Documentation

## argument_type

typedef _Pair std::unary_function< _Pair, _Pair::second_type >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## result_type

typedef _Pair::second_type std::unary_function< _Pair, _Pair::second_type >::result_type

inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Member Function Documentation

## operator()() [1/2]

template<typename _Pair>

_Pair::second_type & std::_Select2nd< _Pair >::operator() | ( | _Pair & | __x | ) | const

inline inherited

Definition at line 1239 of file stl_function.h.

## operator()() [2/2]

template<typename _Pair>

const _Pair::second_type & std::_Select2nd< _Pair >::operator() | ( | const _Pair & | __x | ) | const

inline inherited

Definition at line 1243 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional